//
//  MyActivityListViewController.m
//  HHYTableView
//
//  Created by hu.hy on 2017/3/24.
//  Copyright © 2017年 hu.hy. All rights reserved.
//

#import "MyActivityListViewController.h"
#import "MyActivityTableViewCell.h"


#define kMainScreenWidth [UIScreen mainScreen].bounds.size.width

#define kMainScreenHeight [UIScreen mainScreen].bounds.size.height
/// RGB 颜色和透明度
#define kUIColorFromRGBWithAlapha(RedValue ,GreenValue,BlueValue, AlphaValue )      [UIColor colorWithRed:RedValue/255.0 green:GreenValue/255.0 blue:BlueValue/255.0 alpha:AlphaValue]


@interface MyActivityListViewController ()<UITableViewDelegate,UITableViewDataSource>

/**
 * 全部
 * 参与的
 * 发起的
 * 关注的
 *
 */
@property (weak, nonatomic) IBOutlet UIButton *allButton;
@property (weak, nonatomic) IBOutlet UIButton *joinButton;
@property (weak, nonatomic) IBOutlet UIButton *createButton;
@property (weak, nonatomic) IBOutlet UIButton *followButton;


/// 全部 关注 参与 发起
@property (strong, nonatomic) UITableView *allTableView;
@property (strong, nonatomic) UITableView *followTableView;
@property (strong, nonatomic) UITableView *joinTableView;
@property (strong, nonatomic) UITableView *createTableView;

///背景 scrollView
@property (weak, nonatomic) IBOutlet UIScrollView *bgScrollView;
///红线
@property (weak, nonatomic) IBOutlet UIView *redLineView;

@end

@implementation MyActivityListViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    
    _redLineView.frame = CGRectMake(12, 49.5, kMainScreenWidth/4-24, 3);
    [self.bgScrollView setContentSize:CGSizeMake(kMainScreenWidth *4, 0)];
    
    [self initTableView:self.allTableView withX:0];
    [self initTableView:self.followTableView withX:1];
    [self initTableView:self.joinTableView withX:2];
    [self initTableView:self.createTableView withX:3];
}

#pragma mark == 点击方法 全部 && 关注的 && 参与的 && 发起的
- (IBAction)clickTitleButton:(UIButton *)sender {
    
    [self.bgScrollView setContentOffset:CGPointMake((sender.tag-101) *kMainScreenWidth, 0) animated:YES];
    
    
    [UIView animateWithDuration:0.2 animations:^{
        _redLineView.frame = CGRectMake(12+ (sender.tag-101) *kMainScreenWidth/4, 49.5, kMainScreenWidth/4-24, 3);
        
        
    }];

    
}


//// 初始化 四个 tableView
- (void) initTableView:(UITableView *)tableView withX:(NSInteger)index
{
    UINib *cellNib = [UINib nibWithNibName:@"MyActivityTableViewCell" bundle:[NSBundle mainBundle]];
    
    tableView = [[UITableView alloc] initWithFrame:CGRectMake(kMainScreenWidth*index, 0, kMainScreenWidth, kMainScreenHeight-53-64)];
    
    tableView.separatorStyle = UITableViewCellSeparatorStyleNone;
    
    tableView.delegate = self;
    tableView.dataSource = self;
    [tableView registerNib:cellNib forCellReuseIdentifier:@"MyActivityTableViewCell"];
    
    tableView.tableFooterView = [[UIView alloc] initWithFrame:CGRectMake(0, 0, kMainScreenWidth, 9)];
    [self.bgScrollView addSubview:tableView];
    
}


- (void)scrollViewDidEndDecelerating:(UIScrollView *)scrollView
{
    if (self.bgScrollView == scrollView)
    {
        
        float scrollViewX = scrollView.contentOffset.x;
        
        if (scrollViewX == 0) {
            
            [self clickTitleButton:self.allButton];
        }
        else if (scrollViewX == kMainScreenWidth)
        {
            
            [self clickTitleButton:self.followButton];
            
            
        }
        
        else if (scrollViewX == kMainScreenWidth*2)
        {
            
            [self clickTitleButton:self.joinButton];
            
            
        }
        else if (scrollViewX == kMainScreenWidth*3)
        {
            [self clickTitleButton:self.createButton];
            
            
        }
    }
}




- (CGFloat) tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath
{
    return 194;
}

- (NSInteger) numberOfSectionsInTableView:(UITableView *)tableView
{
    return 6;
}

- (NSInteger) tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return 1;
}

- (UITableViewCell *) tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    MyActivityTableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"MyActivityTableViewCell"];
    
    if (!cell) {
        cell = [[MyActivityTableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"MyActivityTableViewCell"];
    }
    
   
    return cell;
    
}


- (UIView *)tableView:(UITableView *)tableView viewForHeaderInSection:(NSInteger)section
{
    
    UIView *headView = [[UIView alloc] initWithFrame:CGRectMake(0, 0, kMainScreenWidth, 9)];
    
    headView.backgroundColor = [UIColor whiteColor];
    
    
    if (section != 0) {
        UIView *shadowView = [[UIView alloc] initWithFrame:CGRectMake(8, 0, kMainScreenWidth-16, 9)];
        shadowView.backgroundColor = kUIColorFromRGBWithAlapha(253, 253, 253, 1);
        
        
        [headView addSubview:shadowView];
    }
    
    
    
    
    return headView;
    
    
}

- (CGFloat) tableView:(UITableView *)tableView heightForHeaderInSection:(NSInteger)section
{
    return 9;
}

- (CGFloat)tableView:(UITableView *)tableView heightForFooterInSection:(NSInteger)section
{
    return 0.01;
}




- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
